Package opennlp.tools.util.featuregen

# Class POSTaggerNameFeatureGenerator

java.lang.Object
opennlp.tools.util.featuregen.POSTaggerNameFeatureGenerator

All Implemented Interfaces:
  `AdaptiveFeatureGenerator`

public class POSTaggerNameFeatureGenerator extends Object implements AdaptiveFeatureGenerator
Adds the token POS tag as feature. Requires a `POSTagger` at runtime.

See Also:
  - `AdaptiveFeatureGenerator`
  - `POSTagger`
  - `POSModel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `POSTaggerNameFeatureGenerator(POSModel aPosModel)`
  Initializes a `POSTaggerNameFeatureGenerator` with the specified `POSModel`.
  `POSTaggerNameFeatureGenerator(POSTagger aPosTagger)`
  Initializes a `POSTaggerNameFeatureGenerator` with the specified `POSTagger`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createFeatures(List<String> feats, String[] toks, int index, String[] preds)`
  Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.featuregen.AdaptiveFeatureGenerator

  `clearAdaptiveData, updateAdaptiveData`

- ## Constructor Details

  - ### POSTaggerNameFeatureGenerator

    public POSTaggerNameFeatureGenerator(POSTagger aPosTagger)
    Initializes a `POSTaggerNameFeatureGenerator` with the specified `POSTagger`.
    Parameters:
      `aPosTagger` - A POSTagger instance to be used.

  - ### POSTaggerNameFeatureGenerator

    public POSTaggerNameFeatureGenerator(POSModel aPosModel)
    Initializes a `POSTaggerNameFeatureGenerator` with the specified `POSModel`.
    Parameters:
      `aPosModel` - A `POSModel` to be used for the internal `POSTagger`.

- ## Method Details

  - ### createFeatures

    public void createFeatures(List<String> feats, String[] toks, int index, String[] preds)
    Description copied from interface: `AdaptiveFeatureGenerator`
    Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.
    Specified by:
      `createFeatures` in interface `AdaptiveFeatureGenerator`
    Parameters:
      `feats` - The list of features to be added to.
      `toks` - The tokens of the sentence or other text unit being processed.
      `index` - The index of the token which is currently being processed.
      `preds` - The outcomes for the tokens prior to the specified index.